# Bio.SCOP.Cla module

Handle the SCOP CLAssification file, which describes SCOP domains.

The file format is described in the scop “release notes.”:http://scop.mrc-lmb.cam.ac.uk/scop/release-notes.html The latest CLA file can be found “elsewhere at SCOP.”:http://scop.mrc-lmb.cam.ac.uk/scop/parse/

“Release 1.73”: http://scop.mrc-lmb.cam.ac.uk/scop/parse/dir.cla.scop.txt_1.73 (July 2008)

class Bio.SCOP.Cla.Record(line=None)

  Bases: `object`

  Holds information for one SCOP domain.

  Attributes:

    - sid - SCOP identifier. e.g. d1danl2

    - residues - The domain definition as a Residues object

    - sccs - SCOP concise classification strings. e.g. b.1.2.1

    - sunid - SCOP unique identifier for this domain

    - hierarchy - A dictionary, keys are nodetype, values are sunid, describing the location of this domain in the SCOP hierarchy. See the Scop module for a description of nodetypes. This used to be a list of (key,value) tuples in older versions of Biopython (see Bug 3109).

  __init__(line=None)

    Initialize the class.

  __str__()

    Represent the SCOP classification record as a tab-separated string.

  __firstlineno__ = 23
  __static_attributes__ = ('hierarchy', 'residues', 'sccs', 'sid', 'sunid')

Bio.SCOP.Cla.parse(handle)

  Iterate over a CLA file as Cla records for each line.

  Arguments:

    - handle - file-like object.

class Bio.SCOP.Cla.Index(filename)

  Bases: `dict`

  A CLA file indexed by SCOP identifiers for rapid random access.

  __init__(filename)

    Create CLA index.

    Arguments:

      - filename - The file to index

  __getitem__(key)

    Return an item from the indexed file.

  __firstlineno__ = 94
  __static_attributes__ = ('filename',)

Biopython v: 1.85

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub